List SMS
curl --request GET \
--url https://api.dugble.com/sms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dugble.com/sms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dugble.com/sms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"object": "sms",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to": "<string>",
"from": "<string>",
"body": "<string>",
"last_event": "queued",
"destination": {
"country": "<string>"
},
"segments": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"message_id": "<string>",
"metadata": {},
"scheduled_at": "2023-11-07T05:31:56Z",
"failure": {
"code": "<string>",
"message": "<string>"
},
"submitted_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z"
}
]
}{
"success": false,
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}SMS
List SMS
Returns SMS messages belonging to the authenticated team.
GET
/
sms
List SMS
Authorizations
Pass a Dugble team token in the Authorization header as Bearer . Team token secrets use the dgb_team_ prefix.
Query Parameters
Maximum number of records to return. Most offset-paginated endpoints default to 50 and cap at 100.
Required range:
1 <= x <= 100Number of records to skip.
Required range:
x >= 0Filter by exact normalized SMS status.
Available options:
queued, processing, submitted, sent, delivered, undelivered, rejected, failed, expired, unknown, canceled Filter by exact sender identity matching the response from value.
Include messages created at or after this RFC 3339 timestamp.
Include messages created at or before this RFC 3339 timestamp. Must not precede start_date.
Case-insensitive partial match across recipient, sender, body, or provider message ID.